 #pragma OPENCL EXTENSION cl_khr_fp64 : enable

__kernel void mat_transp_1_kernel(
  __global float *A , 
  __global float *B ,
  __global float *C ,
  int N)
{

int id = get_global_id(0) * get_global_size(0) + get_global_id(1);
float temp = 0.0;

for(int i = 0; i<N;i++){
	temp += A[id*N + i] *B[i];
}

C[id] = temp;
}
